- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QStatusBar Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qstatusbar.h.

`#include <qstatusbar.h>`

Inheritance diagram for QStatusBar:
[legend]

List of all members.

## Public Slots
void | showMessage (const QString &text, int timeout=0)
void | clearMessage ()
## Signals
void | messageChanged (const QString &text)
## Public Member Functions
| QStatusBar (QWidget *parent=0)
virtual | ~QStatusBar ()
void | addWidget (QWidget *widget, int stretch=0)
int | insertWidget (int index, QWidget *widget, int stretch=0)
void | addPermanentWidget (QWidget *widget, int stretch=0)
int | insertPermanentWidget (int index, QWidget *widget, int stretch=0)
void | removeWidget (QWidget *widget)
void | setSizeGripEnabled (bool)
bool | isSizeGripEnabled () const
QString | currentMessage () const
## Protected Member Functions
void | showEvent (QShowEvent *)
void | paintEvent (QPaintEvent *)
void | resizeEvent (QResizeEvent *)
void | reformat ()
void | hideOrShow ()
bool | event (QEvent *)
## Properties
bool | sizeGripEnabled

## Constructor & Destructor Documentation

QStatusBar | ( | QWidget * | parent = `0` | ) | `[explicit]`

virtual ~QStatusBar | ( |  | ) | `[virtual]`

## Member Function Documentation

void addWidget | ( | QWidget * | widget,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

int insertWidget | ( | int | index,
|  | QWidget * | widget,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

void addPermanentWidget | ( | QWidget * | widget,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

int insertPermanentWidget | ( | int | index,
|  | QWidget * | widget,
|  | int | stretch = `0`
| ) |  |

Search for all occurrences

void removeWidget | ( | QWidget * | widget | ) |

Search for all occurrences

void setSizeGripEnabled | ( | bool |  | ) |

Search for all occurrences

bool isSizeGripEnabled | ( |  | ) | const

Search for all occurrences

QString currentMessage | ( |  | ) | const

Search for all occurrences

void showMessage | ( | const QString & | text,
|  | int | timeout = `0`
| ) |  | `[slot]`

Search for all occurrences

void clearMessage | ( |  | ) | `[slot]`

Search for all occurrences

void messageChanged | ( | const QString & | text | ) | `[signal]`

Search for all occurrences

void showEvent | ( | QShowEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void reformat | ( |  | ) | `[protected]`

Search for all occurrences

void hideOrShow | ( |  | ) | `[protected]`

Search for all occurrences

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

## Property Documentation

bool sizeGripEnabled `[read, write]`

Search for all occurrences

Definition at line 61 of file qstatusbar.h.

The documentation for this class was generated from the following file:

- QtGui/qstatusbar.h

QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar
QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar QStatusBar